commoble.exmachina.circuit

## Class NoCircuitManager

- java.lang.Object
- - commoble.exmachina.circuit.NoCircuitManager

All Implemented Interfaces:
  commoble.exmachina.api.CircuitManager

    public class NoCircuitManager
    extends java.lang.Object
    implements commoble.exmachina.api.CircuitManager

### Field Summary

Fields
`static java.util.Optional<commoble.exmachina.api.Circuit>` `HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`NoCircuitManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Optional<commoble.exmachina.api.Circuit>` `getCircuit(net.minecraft.util.math.BlockPos pos)`
`void` `invalidateCircuit(net.minecraft.util.math.BlockPos pos)`
`void` `onBlockUpdate(net.minecraft.block.BlockState newState, net.minecraft.util.math.BlockPos pos)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HOLDER

    public static final java.util.Optional<commoble.exmachina.api.Circuit> HOLDER

### Constructor Detail

#### NoCircuitManager

    public NoCircuitManager()

### Method Detail

#### getCircuit

    public java.util.Optional<commoble.exmachina.api.Circuit> getCircuit(net.minecraft.util.math.BlockPos pos)

Specified by:
  `getCircuit` in interface `commoble.exmachina.api.CircuitManager`

#### onBlockUpdate

    public void onBlockUpdate(net.minecraft.block.BlockState newState,
                              net.minecraft.util.math.BlockPos pos)

Specified by:
  `onBlockUpdate` in interface `commoble.exmachina.api.CircuitManager`

#### invalidateCircuit

    public void invalidateCircuit(net.minecraft.util.math.BlockPos pos)

Specified by:
  `invalidateCircuit` in interface `commoble.exmachina.api.CircuitManager`